Payments
Get Payrix public API key
Retrieves the temporary public key needed to create payment input fields
GET
/
shopping
/
{portfolio}
/
v1
/
payment
/
payrix
/
public-key
Get Payrix public API key
curl --request GET \
--url https://public-api.prd.monument.io/shopping/{portfolio}/v1/payment/payrix/public-key \
--header 'x-api-key: <x-api-key>'import requests
url = "https://public-api.prd.monument.io/shopping/{portfolio}/v1/payment/payrix/public-key"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://public-api.prd.monument.io/shopping/{portfolio}/v1/payment/payrix/public-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Query Parameters
Set to true when recovering from a Payrix authentication rejection, to evict the cached key before reading
Response
200 - application/json
The public key needed to create a payfield for users to enter their information. These keys are temporary and must be refetched every hour or they will become unusable.
The response is of type string.
⌘I
Get Payrix public API key

